From: Mike Frysinger <vapier@gentoo.org>
Date: Fri, 3 Feb 2006 03:07:23 +0000 (-0000)
Subject: exit with proper status rather than always 0
X-Git-Tag: v2.1_pre5_2760~109
X-Git-Url: http://git.tremily.us/?a=commitdiff_plain;h=4d8235c601d9cda36b63280ca1ef085c62bcb169;p=portage.git

exit with proper status rather than always 0

svn path=/main/trunk/; revision=2627
---

diff --git a/bin/prepallman b/bin/prepallman
index c3dd05bf9..b523ef703 100755
--- a/bin/prepallman
+++ b/bin/prepallman
@@ -3,10 +3,14 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id: /var/cvsroot/gentoo-src/portage/bin/prepallman,v 1.10 2004/10/04 13:56:50 vapier Exp $
 
+ret=0
+
 echo "man:"
 for x in "${D}"opt/*/man "${D}"usr/share/man "${D}"usr/local/man "${D}"usr/X11R6/man ; do
-	if [ -d "${x}" ]
-	then
+	if [[ -d ${x} ]] ; then
 		prepman "`echo "${x}" | sed -e "s:${D}::" -e "s:/man[/]*$::"`"
+		((ret+=$?))
 	fi
 done
+
+exit ${ret}